Skip to main content

Get private transactions

To identify transaction, use getPrivateSendTransactions with the ID from the createPrivateSendTransaction response.

You can use getPrivateSendTransactions method with other filters to improve user experience.

HTTP request

post/v2/#getPrivateSendTransactions

Request

Header parameters

Requires authentication.

Body parameters

Requires JSON-RPC 2.0 protocol request body.

The params parameter schema:

NameTypeRequiredDescription
idstringfalseTransaction ID.
statusstringfalseTransaction status.
currencystringfalseCurrency ticker (in lowercase).
payinAddressstringfalseRecipient address.
payoutAddressstringfalseReceiver address.
payoutExtraIdstringfalseAdditional ID for address for currencies that use additional ID for transaction processing.
sinceintegerfalseUnix timestamp in microseconds (16 digits). A filter that limits the results to records where the createdAt value is greater than or equal to the since value.
beforeintegerfalseUnix timestamp in microseconds (16 digits). A filter that limits the results to records where the createdAt value is less than the before value.
limitintegerfalseNumber of records to retrieve. The maximum limit is 100. By default, 10.
offsetintegerfalseRecords cursor.
Sample request payload
application/json
{
"jsonrpc": "2.0",
"id": "test",
"method": "getPrivateSendTransactions",
"params": {
"currency": "eth",
"address": "<<payin address to search>>",
"payoutAddress": "<<payout address to search>>"
}
}
Sample cURL
curl --location --request POST 'https://api.changelly.com/v2' \
--header 'X-Api-Key: {{apiKey}}' \
--header 'X-Api-Signature: {{sign}}' \
--data-raw '{
"jsonrpc": "2.0",
"id": "test",
"method": "getPrivateSendTransactions",
"params": {
"currency": "eth",
"address": "<<payin address to search>>",
"payoutAddress": "<<payout address to search>>"
}
}'

Response

Response parameters

Requires JSON-RPC 2.0 protocol response body.

The result parameter schema:

NameTypeDescription
idstringTransaction ID. Could be used in getStatus method.
createdAtintegerTime in timestamp format (microseconds) when the transaction was created.
payinConfirmationsstringNumber of confirmations.
statusstringTransaction status. Will always be new when transaction is created.
currencystringPayin currency ticker.
amountstringThe estimated payout amount before withholding the network fee.
payinAddressstringAddress for a user to send coins to.
payinExtraIdstringAdditional ID for payinAddress in case it is required.
payoutHashstringHash of the payout transaction.
payoutAddressstringRecipient address.
payoutExtraIdstringAdditional ID for address for currencies that use additional ID for transaction processing.
serviceFeestringCommission taken by Changelly from the amount sent to the user. Displayed in payout currency.
moneyReceivedintegerThe time in timestamp format (microseconds) of receiving the funds by Changelly. moneyReceived equals 0 if Changelly hasn't received the funds yet.
moneySentintegerThe time in timestamp format (microseconds) of sending the funds to the user by Changelly. moneySent is not returned if Changelly hasn't sent the funds yet.
Sample response with 1 transaction
application/json
{
"jsonrpc": "2.0",
"id": "test",
"result": [
{
'id': 'xj666xd0kyzm9ikz',
'createdAt': 1657278685000000,
'payinConfirmations': 1,
'status': 'waiting',
'currency': 'eth',
'payinAddress': '0x0c7c*******************e318ea',
'payinHash': 'asdf*******************sdf',
'payoutAddress': '0x576e*******************1499a9',
'payoutHash': '1234*******************1234',
'amount': '0.2934325',
'serviceFee': '0.00009'
}
]
}

Error response

Error response parameters

Check the error response schema.

Error codes

CodeMessageDescription
-32601Method not foundThe method you're calling doesn't exist.
-32603Error: You reached requests limit {limit} rpsYou have sent requests more than the RPS limit. The default RPS limit is 10.
-32603Internal Error or ErrorMost likely, the problem is on our side. Further investigation is required.